### Function

# WebKit2 Credential new_for_certificate

#### Declaration [src]

    WebKitCredential*
    webkit_credential_new_for_certificate (
      GTlsCertificate* certificate,
      WebKitCredentialPersistence persistence
    )

#### Description [src]

Create a new credential from the `certificate` and persistence mode.

Note that `WEBKIT_CREDENTIAL_PERSISTENCE_PERMANENT` is not supported for certificate credentials.

Available since: | 2.34

#### Parameters

`certificate` | `GTlsCertificate`
| The `GTlsCertificate`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`persistence` | `WebKitCredentialPersistence`
| The `WebKitCredentialPersistence` of the new credential.

#### Return value

Returns: | `WebKitCredential`
| A `WebKitCredential`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.